#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	libspiro
Version		:	20220722
Release		:	17.2.0.rel%{?dist}
Summary		:	Library to simplify the drawing of beautiful curve

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://github.com/fontforge/libspiro

Source0		:	%{name}-dist-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make

#-----------------------------------------------------------------------------
%description
This library will take an array of spiro control points and 
convert them into a series of bézier splines which can then 
be used in the myriad of ways the world has come to use béziers. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README* ChangeLog AUTHORS
%license COPYING
%{_libdir}/%{name}.so.1*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description    	devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/bezctx*.h
%{_includedir}/spiro*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
PYTHON=%{__python}					\
./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
